Subject: [Mip6] On a network-mobility solution based on Mobile IPv6

From: Behcet Sarikaya <[email-masked]>
Date: Fri, 22 Sep 2006 14:50:42 -0500

Yes, an email has already been written which is the one by Stefano. If 
you like I can forward it to netlmm, just change MIP6 in the last 
sentence to netlmm and take it as input as follows (modified by myself 
not by Stefano).
 >In conclusion, we think that the netlmm WG should take >on this work in
 >order to meet a requirement of networks that will be >deployed in the
 >near future.
 
What about that?

----- Original Message ----
From: James Kempf <[email-masked]>
To: "Faccin, Stefano M" <[email-masked]>; [email-masked]
Sent: Friday, September 22, 2006 12:32:10 PM
Subject: Re: [Mip6] On a network-mobility solution based on Mobile IPv6

So this is my response with my NETLMM WG chair hat on.

The NETLMM WG is working on a network-based mobility management protocol
that we believe is architecturally a good fit with the Internet. If there
are some problems or requirements that it doesn't solve for 3GPP2, then by
all means write a draft or an email and describe what those are. The WG is
having an interim meeting in Chicago next week, you're welcome to attend 
and
give input on the design team draft, which is meant to be a starting point
(but only a starting point, the final design is the responsibility of 
the WG
to develop). If you can't make it to Chicago, then by all means write a
draft or an email describing what the problems are that you see with the
protocol. The protocol is still under design, and the WG can discuss and
still accommodate changes, please engage in a dialog with the WG on it.

                    jak

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: "Chowdhury, Kuntal" <[email-masked]>
Date: Mon, 25 Sep 2006 13:17:35 -0400

Hi all,

I strongly support PMIP6 standardization efforts in IETF. This will help
bring much needed alignment between IETF and the similar efforts in the
industry. PMIP6 is being proposed and discussed in almost all the SDOs
at this time. So, it is obvious that there is great deal of interest in
standardizing this protocol.

Best regards,
Kuntal

> -----Original Message-----
> From: Faccin, Stefano M [mailto:[email-masked]]
> Sent: Wednesday, September 20, 2006 8:59 PM
> To: [email-masked]
> Subject: [Mip6] On a network-mobility solution based on Mobile IPv6
> 
> Hello all,
> 
> I'm sending this e-mail to start a thread of discussion on the need
and
> opportunities for a network-mobility solution based on Mobile IPv6.
> 
> As a result of offline discussions between interested parties, we
would
> like to submit the following to begin a discussion on this mailing
list.
> 
> =================================================================
> Recent developments in network architectures in SDOs such as WiMAX
forum
> and 3GPP2 have identified a need to support IP mobility for hosts
> without the host playing a role in managing mobility. Significant
> interest exists for a network based IP mobility solution based on
Mobile
> IPv6. The choice of Mobile IPv6 as the mobility protocol for IPv6 is
> driving the need to have a solution for network based mobility that is
> also based on or derived from MIPv6. One of the key benefits that been
> identified for a network based MIP6 solution (referred to as Proxy
MIP6)
> is the optimized use of the air interface resulting from no MIP6
> signaling and no tunneling of packets over the air interface.
> 
> The WiMAX network architecture currently supports Proxy MIP4 for
> enabling mobility for hosts that may not have a MIP4 client. MIPv6 has
> been adopted as the mobility solution for IPv6. There exists a
> requirement to support mobility for IPv6 hosts without having any
> explicit expectations of the host IPv6 capability. Proxy MIP6 is a
> solution that is aligned with the architectural direction of WiMAX,
> given the specification of Proxy MIP4 for IPv4 mobility and hence a
> similar approach for IPv6 mobility.
> 
> In 3GPP, there has been some degree of interest in Proxy MIPv6 as
well,
> primarily in the SAE (System Architecture Evolution) work item. No
> decision or protocol choices have been made yet.
> 
> 3GPP2 has expressed some interest in pursuing a network-based IP
> mobility protocol in order to support hosts with no mobility stack
> (those that use Simple IP) to take advantage of some form of mobility
> provided by the same entities that handle host-based (MIPv6-based)
> mobility. No decision on the specific protocol has been finalized yet,
> although a network-based IP mobility solution based on MIP6 has been
> identified as a viable option.
> 
> There are several key benefits to using PMIPv6 as the network-based
> mobility management protocol:
> - The same MIPv6 home agent can be used be used at the same time with
> little or no modifications for clients that support MIPv6 and for
> clients that don't have host mobility software and would like the
> network to handle mobility for them.
> - Re-use of supporting work that has been done for MIPv6. This
includes
> the ability to establish security associations, RADIUS and Diameter
> extensions, bootstrapping, dual stack support, reliability, fail over
> and HA switching.
> 
> So we would like to propose adding a new item to the MIP6 WG charter
to
> standardize proxy MIPv6. The goal of this work would be to specify a
> simple extension to MIPv6 that would support network based mobility
for
> IPv6 hosts and reuses MIP6 signaling and features. It is not intended
to
> be a new network-based mobility protocol solution.
> 
> A couple of I-Ds specifying network-based mobility management protocol
> derived from MIPv6 exist today and can be used as the baseline for the
> work.
> 
> In conclusion, we think that the MIP6 WG should take on this work in
> order to meet a requirement of networks that will be deployed in the
> near future.
> 
>
========================================================================
> Comments are welcome.
> Stefano

"This email message and any attachments are confidential information of Starent Networks, Corp. The information transmitted may not be used to create or change any contractual obligations of Starent Networks, Corp.  Any review, retransmission, dissemination or other use of, or taking of any action in reliance upon this e-mail and its attachments by persons or entities other than the intended recipient is prohibited. If you are not the intended recipient, please notify the sender immediately -- by replying to this message or by sending an email to [email-masked] -- and destroy all copies of this message and any attachments without reading or disclosing their contents. Thank you."

---

From: <[email-masked]>
Date: Tue, 26 Sep 2006 13:09:40 +0200

Hi, 

> From: Gerardo Giaretta [mailto:[email-masked]] 
> Sent: 22. syyskuuta 2006 10:46
> To: Vijay Devarapalli; [email-masked]
> I agree with Vijay. Based on my personal experience and attendance in
> 3GPP, I see several companies proposing PMIPv6 for various scenarios
> in SAE work item. Even though there is not any decision yet, I think
> IETF should take care of PMIPv6 specification. At least we are sure to
> have a good protocol design since IETF has the skills to do that and
> we are sure to have an interoperable solution for any SDO: talking
> from an operator perspective, what I really don't want is to have a
> WiMAX PMIPv6 version, a 3GPP PMIPv6 version and a 3GPP2 PMIPv6
> version.

Not having any opinion at the moment on PMIPv6 being done in MIP6 WG or
in IETF but as an operator I would share Gerardo's concern on possible
different competing flavors of the same protocol..

Cheers,
	Jouni

> 
> --Gerardo
> 
> On 9/21/06, Vijay Devarapalli <[email-masked]> wrote:
> > I support the work. I don't want to see each SDO
> > develop their own version of PMIPv6.
> >
> > Vijay
> >
> > Faccin, Stefano M wrote:
> > > Hello all,
> > >
> > > I'm sending this e-mail to start a thread of discussion 
> on the need and
> > > As a result of offline discussions between interested 
> parties, we would
> > > like to submit the following to begin a discussion on 
> this mailing list.
> > >
> > > Recent developments in network architectures in SDOs such 
> as WiMAX forum
> > > interest exists for a network based IP mobility solution 
> based on Mobile
> > > identified for a network based MIP6 solution (referred to 
> as Proxy MIP6)
> > > In 3GPP, there has been some degree of interest in Proxy 
> MIPv6 as well,
> > > - Re-use of supporting work that has been done for MIPv6. 
> This includes
> > > So we would like to propose adding a new item to the MIP6 
> WG charter to
> > > simple extension to MIPv6 that would support network 
> based mobility for
> > > IPv6 hosts and reuses MIP6 signaling and features. It is 
> not intended to